Subject: [pcp] I-D Action: draft-ietf-pcp-dhcp-00.txt

From: [email-masked]
Date: Thu, 10 Nov 2011 20:25:19 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Port Control Protocol Working Group of the IETF.

	Title           : DHCP and DHCPv6 Options for the Port Control Protocol (PCP)
	Author(s)       : Mohamed Boucadair
                          Reinaldo Penno
                          Dan Wing
	Filename        : draft-ietf-pcp-dhcp-00.txt
	Pages           : 12
	Date            : 2011-09-09

   This document specifies DHCP (IPv4 and IPv6) options to configure
   hosts with Port Control Protocol (PCP) Server addresses.  The use of
   IPv4 DHCP or DHCPv6 depends on the PCP deployment scenario.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-pcp-dhcp-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-pcp-dhcp-00.txt

---

From: Ted Lemon <[email-masked]>
Date: Fri, 11 Nov 2011 14:48:32 +0900

>   IPv4 DHCP or DHCPv6 depends on the PCP deployment scenario.

This document looks pretty good, but I have three requests. 

1. Please delete section 5.3 or change it to an operator requirement rather than an implementation requirement. It is not appropriate for option specifications to impose new requirements on DHCP servers. 

2. Please do not create a new encapsulation and associated registry for DHCPv4. Just make this a singleton option. If you need another option some day, just add another option.  This should eliminate the need to refer to RFC3396, so I don't need to ask you to correct your use of RFC3396. :)

3. Please remove section 6.2 or change it to an operational requirement, same reason as item 1. 

Please reply to me if for some reason you do not agree to these changes (I am not on the PCP mailing list). Thanks!

---

From: <[email-masked]>
Date: Fri, 25 Nov 2011 09:00:06 +0100

Dear Ted,

Thank you for the review. 

All your proposed changes have been integrated in my local copy. In particular, Sections 5.3 and 6.2 have been removed.

Cheers,
Med 

> -----Message d'origine-----
> De : [email-masked] [mailto:[email-masked]] De la 
> part de Ted Lemon
> Envoyé : vendredi 11 novembre 2011 06:49
> À : [email-masked]
> Objet : Re: [pcp] I-D Action: draft-ietf-pcp-dhcp-00.txt
> 
> 1. Please delete section 5.3 or change it to an operator 
> requirement rather than an implementation requirement. It is 
> not appropriate for option specifications to impose new 
> requirements on DHCP servers. 
> 
> 2. Please do not create a new encapsulation and associated 
> registry for DHCPv4. Just make this a singleton option. If 
> you need another option some day, just add another option.  
> This should eliminate the need to refer to RFC3396, so I 
> don't need to ask you to correct your use of RFC3396. :)
> 
> Please reply to me if for some reason you do not agree to 
> these changes (I am not on the PCP mailing list). Thanks!
> _______________________________________________
> pcp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pcp
>

---

From: <[email-masked]>
Date: Fri, 25 Nov 2011 14:48:46 +0100

Re-,

An updated version of this draft is available online. The changes are:

* Remove sub-options as requested by Ted, Bernie and Dan
* Remove Sections 5.3 and Section 6.2 as suggested by Ted
* Harmonize terminology: use DHCPv4 instead of IPv4 DHCP as suggested by Bernie
* Remove the reference to RFC3396

Diff: http://tools.ietf.org/rfcdiff?url2=draft-ietf-pcp-dhcp-01

Cheers,
Med

________________________________
De : Ted Lemon [mailto:[email-masked]]
Envoyé : vendredi 25 novembre 2011 09:21
À : BOUCADAIR Mohamed OLNC/NAD/TIP
Cc : [email-masked]
Objet : Re: [pcp] I-D Action: draft-ietf-pcp-dhcp-00.txt

On Nov 25, 2011, at 3:00 AM, <[email-masked]<mailto:[email-masked]>> wrote:
All your proposed changes have been integrated in my local copy. In particular, Sections 5.3 and 6.2 have been removed.

Great, thanks!

---

From: Ted Lemon <[email-masked]>
Date: Fri, 25 Nov 2011 03:21:00 -0500

Great, thanks!